Loading...
Searching...
No Matches
duration

A span of time in milliseconds. More...

`#include <duration.hpp>`

Collaboration diagram for duration:
[legend]

## Public Types

typedef int64_t | numeric_type
| A numeric type holding a value in milliseconds.

## Public Member Functions

| duration (numeric_type ms=0)
| Construct from a value in milliseconds.
duration & | operator= (numeric_type ms)
| Assign a value in milliseconds.
numeric_type | milliseconds () const
| Get the value in milliseconds.

## Static Public Attributes

static const duration | FOREVER
| Wait forever.
static const duration | IMMEDIATE
| Don't wait at all.
static const duration | SECOND
| One second.
static const duration | MILLISECOND
| One millisecond.
static const duration | MINUTE
| One minute.

## Detailed Description

A span of time in milliseconds.

Examples
  scheduled_send.cpp, and scheduled_send_03.cpp.

The documentation for this class was generated from the following file:

- proton/duration.hpp